Skip to main content
GET
Retrieve a webhook

Authorizations

Authorization
string
header
required

Path Parameters

webhookId
string<uuid>
required

The ID of the webhook to work with.

Example:

"da91434a-4026-42ea-84b8-d0317b64af9c"

Query Parameters

accountId
string

The ID of the account to work with.

Example:

"F50091"

Response

200 - application/json

OK

id
string<uuid>
required

The ID of the webhook to work with.

Example:

"da91434a-4026-42ea-84b8-d0317b64af9c"

productId
string<uuid>
required

The ID of the product to work with.

Maximum string length: 36
Example:

"3ef24d53-6e22-4103-a16b-d268e4f7346d"

webhookEventTypeId
string<uuid>
required

The ID of the webhook event type to work with.

Example:

"da91434a-4026-42ea-84b8-d0317b64af9c"

webhookEventTypeName
string
required

The webhook event name.

Maximum string length: 256
Example:

"OrderCreated"

accountId
string | null
required

The ID of the account to work with.

Example:

"F50091"

url
string
required

The URL of the webhook endpoint.

Maximum string length: 512
Example:

"https://api.url.com"

authorizationHeader
string | null
required

The authorization header content for the webhook.

Maximum string length: 512
Example:

"Basic AXVubzpwQDU1dzByYM== "

enabled
boolean
required

Webhook event type availability (whether the webhook is enabled or not).

Example:

true

sharedSecret
string | null
required

When provided, this is used to sign the webhook payload and generate the x-em-signature header.

Maximum string length: 36
Example:

"123e4567-e89b-12d3-a456-426614174000"

createdAt
string<date-time>
required

The date the Resource was initially created. ISO 8601 format without milliseconds.

updatedAt
string<date-time>
required

The date the Resource was last modified. ISO 8601 format without milliseconds.